Package dev.plex.listener.impl

# Class AntiSpamListener

java.lang.Object
dev.plex.listener.PlexListener
dev.plex.listener.impl.AntiSpamListener

All Implemented Interfaces:
  `PlexBase`, `org.bukkit.event.Listener`

public class AntiSpamListener extends PlexListener

## Field Summary

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`AntiSpamListener()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getCount(UUID uuid)`
`void`
`onChat(io.papermc.paper.event.player.AsyncChatEvent event)`
`void`
`onPlayerCommandPreprocess(org.bukkit.event.player.PlayerCommandPreprocessEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AntiSpamListener

public AntiSpamListener()

## Method Details

### onChat

public void onChat(io.papermc.paper.event.player.AsyncChatEvent event)

### onPlayerCommandPreprocess

public void onPlayerCommandPreprocess(org.bukkit.event.player.PlayerCommandPreprocessEvent event)

### getCount

public long getCount(UUID uuid)